<title>Descarga de archivo XML...</title>
Descarga de archivo XML... 
<?php
session_start();

include("conexion.php");	

$xid = $_REQUEST['id'];
$xs_emprai_ruc = $_SESSION['s_emprai_ruc'];

//echo "xordped_codi:".$xid;

$nombre_archivo = "";

$r_pedido = mysqli_query($conexion, "SELECT * FROM orden_pedido o INNER JOIN documento_pago d ON o.docpag_codi_fk=d.docpag_codi WHERE md5(ordped_codi)='$xid';");
while($row = mysqli_fetch_array($r_pedido)){
	$xordped_docpagnum = $row['ordped_docpagnum'];
	$xcomtip_codigo_fk = $row['comtip_codigo_fk'];
	
	$nombre_archivo = $xs_emprai_ruc."-".$xcomtip_codigo_fk."-".$xordped_docpagnum.".xml";
	
	//echo "nombre archivo: ".$nombre_archivo;
}
?>

<script language="javascript">
	location.href = "<?php echo "http://xmlrodrivalplast.rodrivalplast.com/".$nombre_archivo; ?>";
	
</script>

<?php
/*
header('Content-Type: text/xml');
//header("Content-Disposition:attachment ; filename=20480342411-03-B014-0000059.xml");
header("Content-Disposition:attachment ; filename=".$nombre_archivo);
header("Expires: Mon, 26 Jul 1990 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
    ob_clean();
    flush();
 
    echo file_get_contents("http://www.gruporoyma.com/descargables/".$nombre_archivo);
 
    exit;
*/	

	
/*
header('Content-type: text/xml');
header('Content-Disposition: attachment; filename="NombreDelArchivo.xml"');
*/
?>
 
